API Reference
Trust detail for a release
GET
/
api
/
v1
/
volumes
/
{name}
/
{version}
/
trust
/
detail
Trust detail for a release
curl --request GET \
--url https://api.example.com/api/v1/volumes/{name}/{version}/trust/detailimport requests
url = "https://api.example.com/api/v1/volumes/{name}/{version}/trust/detail"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/volumes/{name}/{version}/trust/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subject": {
"purl": "<string>",
"integrity": "<string>"
},
"revision": {
"revision": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"attachments": [
{
"id": "<string>",
"format": {
"family": "<string>",
"mediaType": "<string>",
"predicateType": "<string>",
"profile": "<string>",
"version": "<string>"
},
"artifactDigest": "<string>",
"locator": {
"url": "<string>",
"embedded": "<unknown>"
},
"status": {
"reason": "<string>"
},
"artifactSize": 1,
"verification": {
"subjectDigest": "<string>",
"signatureFormat": "<string>",
"transparencyLog": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z"
}
}
]
}Path Parameters
Maximum string length:
128Pattern:
^(?!.*--)[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$Pattern:
^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*)(?:\.(?:0|[1-9]\d*|\d*[A-Za-z-][0-9A-Za-z-]*))*))?(?:\+([0-9A-Za-z-]+(?:\.[0-9A-Za-z-]+)*))?$Response
Trust detail. If the release exists but no trust artifacts are present, returns 200 OK with an empty attachments array. An empty success response does not by itself indicate successful verification, trusted status, or policy compliance.
⌘I
Trust detail for a release
